/*
  http://arduino-kid.ru
  Здесь вы всегда найдёте много нового и интересного.
*/


#include <IRremote.h>         // подключение библиотеки 
int RECV_PIN = 11;             // указываем вывод, к которому подключен приемник
IRrecv irrecv(RECV_PIN); 
decode_results results;

const long BUT_1 = 0xFFA25D;
const long BUT_2 = 0xFF629D;
const long BUT_3 = 0xFFE21D;
const long BUT_4 = 0xFF22DD;
const long BUT_5 = 0xFF02FD;
const long BUT_6 = 0xFFC23D;
const long BUT_7 = 0xFFE01F;
const long BUT_8 = 0xFFA857;
const long BUT_9 = 0xFF906F;
const long BUT_0 = 0xFF9867;
const long BUT_up = 0xFF18E7;
const long BUT_dn = 0xFF4AB5;
const long BUT_left = 0xFF10EF;
const long BUT_right = 0xFF5AA5;
const long BUT_OK = 0xFF38C7;

const int FAN = 5;      // Подключаем вентилятор к 5 контакту ШИМ
int fan_val= 130;         // Переменная для значения ШИМ

boolean relay = 0; 

void setup()
{
  digitalWrite(15, HIGH); // Первое реле ВЫКЛЮЧЕННО
  digitalWrite(16, HIGH); // Второе реле ВЫКЛЮЧЕННО
  Serial.begin(9600);
  // установить режимы работы выводов
  pinMode(2, OUTPUT);   
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(6, OUTPUT);
  pinMode(7, OUTPUT);
  pinMode(8, OUTPUT);
  pinMode(9, OUTPUT); 
  pinMode(10, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(15, OUTPUT);
  pinMode(16, OUTPUT);

  irrecv.enableIRIn();          // инициализация приемника
}

 
void loop()
{

  if ( irrecv.decode( &results )) { // если данные пришли
    switch ( results.value ) {
    case BUT_1:
        one();
        digitalWrite(15, LOW); // Первое реле
        break;
    case BUT_2:
        two();
        digitalWrite(15, HIGH); // Первое реле
        break;
    case BUT_3:
        three();
        relay = !relay;
        digitalWrite(16, relay); // Второе реле
        break;
    case BUT_4:
        four();
        break;   
    case BUT_5:
        five();
        break;
    case BUT_6:
        six();
        break;   
     case BUT_7:
        seven();
        if(fan_val < 255) fan_val=fan_val+5;
        analogWrite(5, fan_val);
        break;
    case BUT_8:
        eight();
        break;   
    case BUT_9:
        nine();
        if(fan_val > 130) fan_val=fan_val-5;
        analogWrite(5, fan_val);
        break;
    case BUT_0:
        zero();
        break; 

    }    
    irrecv.resume(); // принимаем следующую команду
  }
Serial.println(fan_val);
}

void empty()
{
  digitalWrite(2, LOW); // .
  digitalWrite(3, LOW); // A
  digitalWrite(4, LOW); // B
  digitalWrite(6, LOW); // C
  digitalWrite(7, LOW); // D
  digitalWrite(8, LOW); // E
  digitalWrite(9, LOW); // G
  digitalWrite(10, LOW); // F
}
void one()
{
  digitalWrite(4, HIGH); // B
  digitalWrite(6, HIGH); // C
  digitalWrite(2, LOW); 
  digitalWrite(3, LOW); 
  digitalWrite(7, LOW); 
  digitalWrite(8, LOW); 
  digitalWrite(9, LOW); 
  digitalWrite(10, LOW);
}

void two()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(9, HIGH); // G
  digitalWrite(8, HIGH); // E
  digitalWrite(7, HIGH); // D
  digitalWrite(2, LOW); 
  digitalWrite(6, LOW); 
  digitalWrite(10, LOW);
}

void three()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(9, HIGH); // G
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(2, LOW); 
  digitalWrite(8, LOW); 
  digitalWrite(10, LOW);
}

void four()
{
  digitalWrite(10, HIGH); // F
  digitalWrite(4, HIGH); // B
  digitalWrite(9, HIGH); // G
  digitalWrite(6, HIGH); // C
  digitalWrite(7, LOW); 
  digitalWrite(2, LOW); 
  digitalWrite(8, LOW); 
  digitalWrite(3, LOW);
}

void five()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(9, HIGH); // G
  digitalWrite(10, HIGH); // F
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(2, LOW); 
  digitalWrite(8, LOW); 
  digitalWrite(4, LOW);
}

void six()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(9, HIGH); // G
  digitalWrite(10, HIGH); // F
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(8, HIGH); //E
  digitalWrite(2, LOW); 
  digitalWrite(4, LOW); 
}

void seven()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(6, HIGH); // C
  digitalWrite(2, LOW); 
  digitalWrite(7, LOW); 
  digitalWrite(8, LOW); 
  digitalWrite(9, LOW); 
  digitalWrite(10, LOW);
}

void eight()
{
  
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(8, HIGH); // E
  digitalWrite(9, HIGH); // G
  digitalWrite(10, HIGH); // F
  digitalWrite(2, LOW); // .
}

void nine()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(10, HIGH); // F
  digitalWrite(9, HIGH); // G
  digitalWrite(8, LOW); // E
  digitalWrite(2, LOW); // .
}
void zero()
{
  digitalWrite(3, HIGH); // A
  digitalWrite(4, HIGH); // B
  digitalWrite(6, HIGH); // C
  digitalWrite(7, HIGH); // D
  digitalWrite(8, HIGH); // E
  digitalWrite(10, HIGH); // F
  digitalWrite(9, LOW); // G
  digitalWrite(2, LOW); // .
}
